megaraid2 driver update

Will Dyson will.dyson at gmail.com
Fri Oct 22 12:12:01 CDT 2004


On Thu, 21 Oct 2004 19:31:45 -0400, Jim Greene <jwgreene at megalink.net> wrote:
> Strange, I had thought to move to 2.6.9 which I believe has 2.20.4 as well
> but then RH said I would not get any support from them unless it was running
> "their" kernel. I know Dell has an updates megaraid2 driver out but for now
> I will stick with the stock driver and see what happens.

Yeah, I would not expect help from redhat on a self-compiled kernel.
For that matter, as far as I can see, RHEL 3 does not have the
nessisary support for 2.6 kernel modules (package module-init-tools)
available. I had to compile a completely static kernel to get it
working (I could have installed module-init-tools from source instead,
but chose this route).

I got to the point with redhat support where they were asking for a
crashdump (via netdump) to figure out what is going wrong. That is not
practical for me to set up right now, and my client is just happy that
their server is not crashing every few days.

What problems were you seeing with RedHat's kernel, that you decided to try 2.6?

-- 
Will Dyson - Consultant
http://www.lucidts.com/




More information about the Linux-PowerEdge mailing list